package com.cftech.activity.market.dao;

import com.cftech.activity.market.model.Market;
import com.cftech.activity.market.model.MarketDto;
import com.cftech.core.generic.GenericDao;

import java.util.List;
import java.util.Map;

/**
* 市场活动Mapper
*
* @author faye
* @date: 2017-08-25 10:36
*/
public interface MarketMapper extends GenericDao<Market> {
    List<MarketDto> fetchSearchByPageVo(Map<String,Object> params);
    int countVo(Map<String,Object> params);
    MarketDto fetchStoreidsAndBrandids(Map<String,Object> params);
    List<MarketDto> fetchActByBelong(Map<String,Object> params);
    int countActByBelong(Map<String,Object> params);
    List<MarketDto> getActListByStore(Map<String,Object> params);
}